### Method

# Gtk TreeView get_tooltip_context

#### Declaration [src]

    gboolean
    gtk_tree_view_get_tooltip_context (
      GtkTreeView* tree_view,
      int x,
      int y,
      gboolean keyboard_tip,
      GtkTreeModel** model,
      GtkTreePath** path,
      GtkTreeIter* iter
    )

#### Description [src]

This function is supposed to be used in a ::query-tooltip signal handler for `GtkTreeView`. The `x`, `y` and `keyboard_tip` values which are received in the signal handler, should be passed to this function without modification.

The return value indicates whether there is a tree view row at the given coordinates (`TRUE`) or not (`FALSE`) for mouse tooltips. For keyboard tooltips the row returned will be the cursor row. When `TRUE`, then any of `model`, `path` and `iter` which have been provided will be set to point to that row and the corresponding model. `x` and `y` will always be converted to be relative to `tree_view`’s bin_window if `keyboard_tooltip` is `FALSE`.

#### Parameters

`x` | `int`
| The x coordinate (relative to widget coordinates).
`y` | `int`
| The y coordinate (relative to widget coordinates).
`keyboard_tip` | `gboolean`
| Whether this is a keyboard tooltip or not.
`model` | `GtkTreeModel`
| A pointer to receive a `GtkTreeModel`.
| The argument will be set by the function.
| The argument can be set to `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`path` | `GtkTreePath`
| A pointer to receive a `GtkTreePath`.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`iter` | `GtkTreeIter`
| A pointer to receive a `GtkTreeIter`.
| The argument will be set by the function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| Whether or not the given tooltip context points to a row.